none
疯掉了,VS自己创建的项目运行了都看不了 RRS feed

  • 问题

  • 使用最最简单的方式创建Silverlight应用程序,然后直接运行。。。显示我没有安装Silverlight,我可以看hardrock,真的可以。。

     

    检查了一下代码,

    原始代码
    <asp:Silverlight ID="Xaml1" runat="server" Source="~/ClientBin/SilverlightApplication2.xap" MinimumVersion="2.0.30523" Width="100%" Height="100%" />

     

     

    怀疑版本问题。。。但是,我修改为hardrock的版本号2.0.31005.0,也不行。。

     

    哪位知道是怎么回事没?不胜感激

    2008年11月13日 1:24

答案

全部回复

  • Silverlight现在已经有多个版本了,请确保你开发的版本与浏览器插件相同,另外,你在vs里运行可以看到吗?

    建议把开发工具和浏览器插件都升级到刚刚发布的RC1版本或者正式版(真正的正式版目前只有英文版和日文版)
    2008年11月13日 1:48
    版主
  • 你要是2.0.3052的话你应该装的是 SilverLight2 Beta2 For VS 2008 Tools

    你客户端装的 RC1的RunTime所以改版本也不行了

     

    1.先升级VS 2008 sp1

    2.卸载你本地跟sl有关的东西

    3.装 SilverLight2 RTW For VS 2008 sp1 Tools

    4.装Blend2 Blend2 sp1

    ok了

    2008年11月13日 1:57
    版主
  • 我装的应该都是最新的了。我用DeepZoomComposer创建的DeepZoom项目也可以正常浏览。我再重新安装以下Silverlight客户端试试?关键是我从提示安装的链接下载了Silverlight,安装完毕后,刷新还不行

     

    我们的电脑都在域环境中,会不会有策略影响到浏览器插件的安装?

    2008年11月13日 2:05
  • 我这里好像还真不是VS2008 sp1。。

     

    中文版有升级了么?

    2008年11月13日 2:11
  • 有,你不是vs08 sp1,sl tools就不可能是 rtw啦

    跟域没关系

    2008年11月13日 2:13
    版主
  • http://forums.microsoft.com/china/ShowForum.aspx?ForumID=2016&SiteID=15

    新写了一篇帖子,看看自己的语言版本是啥,重装下

    2008年11月13日 3:49
    版主